#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gnome-autoar-0.4.5

- Next

  gnome-menus-3.36.0

- Up
- Home

# gnome-desktop-44.1

## Introduction to GNOME Desktop

The GNOME Desktop package contains a library that provides an API shared by several applications on the GNOME Desktop.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gnome-desktop/44/gnome-desktop-44.1.tar.xz

- Download MD5 sum: eda77690fcb351558ea0d1716a55e90b

- Download size: 752 KB

- Estimated disk space required: 23 MB

- Estimated build time: 0.2 SBU

### GNOME Desktop Dependencies

#### Required

gsettings-desktop-schemas-47.1, GTK-3.24.48, GTK-4.16.12, ISO Codes-4.17.0, itstool-2.0.7, libseccomp-2.6.0, libxml2-2.13.6, and xkeyboard-config-2.44

#### Recommended

bubblewrap-0.11.0 (needed for thumbnailers in Nautilus) and GLib-2.82.5 (with GObject Introspection)

#### Optional

GTK-Doc-1.34.0

## Installation of GNOME Desktop

Install GNOME Desktop by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                ..                  &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D gtk_doc=true`: Use this parameter if you wish to build the API documentation.

`-D installed_tests=true`: Use this parameter you wish to enable the installed tests.

## Contents

Installed Programs: None
Installed Library: libgnome-bg-4.so, libgnome-desktop-3.so, libgnome-desktop-4.so, and libgnome-rr-4.so
Installed Directories: /usr/include/gnome-desktop-3.0, /usr/include/gnome-desktop-4.0, /usr/libexec/gnome-desktop-debug, /usr/share/gtk-doc/html/gnome-desktop3 (optional), and /usr/share/help/*/{fdl,gpl,lgpl}

### Short Descriptions

`libgnome-desktop-3.so` | contains functions shared by several GNOME applications

- Prev

  gnome-autoar-0.4.5

- Next

  gnome-menus-3.36.0

- Up
- Home